import { jsx } from "react/jsx-runtime";
import { Island as Island$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Island = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "Island", ...props, children: /* @__PURE__ */ jsx(Island$1, { weight: variant }) });
  }
);
Island.displayName = "Island";
Object.assign(Island, { isGdsIcon: true });
export {
  Island
};
